libclass-methodmaker-perl (2.24-1build5) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Nov 2018 12:33:41 -0600

libclass-methodmaker-perl (2.24-1build4) bionic; urgency=medium

  * No-change rebuild against perlapi-5.26.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 Nov 2017 05:47:57 +0000

libclass-methodmaker-perl (2.24-1build3) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 19:52:38 +0000

libclass-methodmaker-perl (2.24-1build2) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Sun, 23 Oct 2016 12:09:31 +0100

libclass-methodmaker-perl (2.24-1build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Dec 2015 15:00:50 +0000

libclass-methodmaker-perl (2.24-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add debian/upstream/metadata
  * Import upstream version 2.24
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.6.
  * Mark package as autopkgtest-able.
  * Add patch to make build reproducible.
    Thanks to Chris Lamb for the bug report and patch. (Closes: #778979)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 May 2015 22:21:57 +0200

libclass-methodmaker-perl (2.21-1) unstable; urgency=medium

  * Strip trailing slash from metacpan URLs.
  * New upstream release.
  * Drop constants-whatis.patch, merged upstream.
  * Update years of upstream copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 Mar 2014 22:23:47 +0100

libclass-methodmaker-perl (2.20-1) unstable; urgency=medium

  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 14 Feb 2014 21:18:32 +0100

libclass-methodmaker-perl (2.19-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ gregor herrmann ]
  * New upstream release.
  * Drop spelling.patch, merged upstream.
  * debian/rules: use dh(1)'s --buildsystem instead of on override.
  * Update years of packaging copyright.
  * Use debhelper 9.20120312 to get all hardening flags.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Wed, 25 Dec 2013 21:54:14 +0100

libclass-methodmaker-perl (2.18-1) unstable; urgency=low

  [ Ryan Niebur ]
  * Email change: Jonathan Yu -> jawnsy@cpan.org

  [ Jonathan Yu ]
  * New upstream releases 2.16, 2.17
  * Standards-Version 3.8.4 (no changes)
  * Use new 3.0 (quilt) source format
  * Remove patch to disable signature test (removed upstream)

  [ gregor herrmann ]
  * New upstream release 2.18 (closes: #628633).
  * Update copyright formatting and years of upstream copyright.
  * Remove commented out line frm debian/watch.
  * Bump debhelper compatibility level to 8.
  * Set Standards-Version to 3.9.2 (no changes).
  * Add a patch to fix a small spelling mistake.

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Jun 2011 15:39:08 +0200

libclass-methodmaker-perl (2.15-2) unstable; urgency=low

  * Standards-Version 3.8.2 (no changes)
  * New debian/rules format
  * Updated control description
  * Added myself to uploaders and copyright
  * Cleaned up copyright
  * Added a patch to skip signature checks unconditionally (Closes: #538113)

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

 -- Jonathan Yu <frequency@cpan.org>  Fri, 24 Jul 2009 20:16:27 -0400

libclass-methodmaker-perl (2.15-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Adding myself to the Uploaders
    + a more verbose description was written to make lintian happy

 -- Antonio Radici <antonio@dyne.org>  Thu, 19 Feb 2009 23:06:22 +0000

libclass-methodmaker-perl (2.13-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - switch Vcs-Browser field to ViewSVN
    - add ${misc:Depends} to Depends: field
    - mention module name in long description
  * debian/watch: comment out author-based URL.
  * Add a short description to class_methodmaker_constants_whatis.patch.
  * Set debhelper compatibility level to 7; adapt
    debian/{control,compat,rules}.
  * debian/copyright: update formatting.

 -- gregor herrmann <gregoa@debian.org>  Sat, 06 Dec 2008 19:39:18 +0100

libclass-methodmaker-perl (2.12-1) unstable; urgency=low

  * New upstream release.
  * Remove patch no-warnings-once.patch, the bug is fixed in this upstream
    release.
  * Set Standards-Version to 3.8.0; add debian/README.source to document
    quilt usage.

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 Jul 2008 22:13:26 +0200

libclass-methodmaker-perl (2.11-2) unstable; urgency=low

  * Add patch no-warnings-once.patch to turn off warnings about 
    'Name " Foo::Bar" used only once" (closes: #481227).
  * debian/control: change my email address.
  * Refresh debian/rules, no functional changes.

 -- gregor herrmann <gregoa@debian.org>  Sun, 25 May 2008 14:41:10 +0200

libclass-methodmaker-perl (2.11-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Wed, 26 Mar 2008 18:39:17 +0100

libclass-methodmaker-perl (2.10-1) unstable; urgency=low

  [ gregor herrmann ]
  * Take over for the Debian Perl Group with maintainer's permission
    (cf. #463093).
  * Add debian/watch.
  * New upstream release; this is the "unauthorized" CPAN release from
    http://search.cpan.org/~schwigon/Class-MethodMaker-2.10/ -- necessary to
    fix the FBTFS with Perl 5.10 (closes: #463093). Add the author-style URL
    for these releases to debian/watch.
  * debian/control:
    - add Vcs-Svn field (source stanza); Vcs-Browser field (source stanza);
      Homepage field (source stanza)
    - change Maintainer to Debian Perl Group <pkg-perl-maintainers@
      lists.alioth.debian.org> (was: Peter Palfrader <weasel@debian.org>)
    - depend on ${perl:Depends} and ${shlibs:Depends} (closes: #463090)
    - add libipc-run-perl to Build-Depends (used in tests)
    - add /me to Uploaders
  * debian/rules:
    - rewrite from scratch from dh-make-perl's template
    - install TODO from debian/rules, don't install README anymore, remove
      debian/docs accordingly
    - install examples/*
  * Set Standards-Version to 3.7.3 (no changes).
  * Set debhelper compatibility level to 6; add debian/compat.
  * Remove debian/lintian.override.
  * Revert Build.PL to the pristine version (was patched in earlier
    releases). (We still use Makefile.PL because building with Build.PL
    fails.)
  * Add patch class_methodmaker_constants_whatis.patch (creates a missing
    whatis entry for a manpage); add quilt framework.
  * debian/copyright: add current upstream source location and maintainer,
    change to new format.

  [ Niko Tyni ]
  * Build-dependency version changes:
    + debhelper (>= 6), not (>> 6)
    + s/perl5/perl/, perl5 is provided by perl
    + the quilt in oldstable doesn't have quilt.make, we need (>= 0.40)
  * Add myself to Uploaders.

 -- Niko Tyni <ntyni@debian.org>  Mon, 25 Feb 2008 11:21:41 +0200

libclass-methodmaker-perl (2.07-2) unstable; urgency=low

  * 2.05-1 changed the package from arch: all to arch: any, but we still
    were doing all our work in binary-indep.  Fix that  (closes: #333065).

 -- Peter Palfrader <weasel@debian.org>  Mon, 10 Oct 2005 12:55:55 +0200

libclass-methodmaker-perl (2.07-1) unstable; urgency=low

  * New upstream version.
  * Update Standards-Version from 3.6.1 to 3.6.2.
  * Change debhelper compat level from 1 to 4.
  * Appease lintian and mention perl licenses with direct filename.

 -- Peter Palfrader <weasel@debian.org>  Mon, 10 Oct 2005 02:59:11 +0200

libclass-methodmaker-perl (2.05-1) unstable; urgency=low

  * New upstream version.
  * Add dependency on perl.
  * Patch Build.PL to -I include the proper archlib directory, not the
    install-archlib directory, in the CC call.
    Works around libmodule-build-perl Bug #292054.
  * Make 'make install' instead of 'make pure_install' in the rules
    file's install target.
  * Tweak INSTALLARCHLIB setting to configure, so the makefiles properly
    install into usr/lib/perl5 instead of perl's core directory.
  * Since we now have binary files too (Engine.so), build for arch: any
    instead of arch: all.  Also adapt bulid-depends accordingly
    (no -indep anymore).
  * Fix short description to not start with 'A '.
  * Update my copyright notices for debian packaging to 2005.
  * Add a lintian override for copyright-file-lacks-pointer-to-perl-license
    We do refer to the perl license.

 -- Peter Palfrader <weasel@debian.org>  Tue,  1 Feb 2005 00:58:40 +0100

libclass-methodmaker-perl (2.02-2) unstable; urgency=low

  * Make sure there is no .packlist file in the binary package
    (closes: #291900).

 -- Peter Palfrader <weasel@debian.org>  Fri, 28 Jan 2005 17:46:36 +0100

libclass-methodmaker-perl (2.02-1) unstable; urgency=low

  * New upstream version (closes: #268883).
  * debian/rules: s/lib/share/ for INSTALLPRIVLIB.
  * Move standards-version to 3.6.1; no changes needed.
  * Update debian/copyright file.
  * Set proper NAMEs in Class::MethodMaker::{hash,array,scalar}.3pm
    manpages.

 -- Peter Palfrader <weasel@debian.org>  Tue, 28 Sep 2004 20:15:55 +0200

libclass-methodmaker-perl (1.12-2) unstable; urgency=low

  * Change section to perl to fix override disparity.

 -- Peter Palfrader <weasel@debian.org>  Thu,  6 Nov 2003 14:41:42 +0100

libclass-methodmaker-perl (1.12-1) unstable; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Thu,  6 Nov 2003 14:16:57 +0100

libclass-methodmaker-perl (1.05-2) unstable; urgency=low

  * New Standards-Version: 3.5.7
    - Have no /usr/doc link anymore (actually building against the new
      debhelper does fix this - I'll not depend on it tho to make
      building it on older releases easier)
    - Change Build-Depends to Build-Depends-Indep

 -- Peter Palfrader <weasel@debian.org>  Mon, 11 Nov 2002 13:51:09 +0100

libclass-methodmaker-perl (1.05-1) unstable; urgency=low

  * New upstream version.
  * Make sure there are no empty dirs in the package.
  * Removed emacs stuff from end of changelog.

 -- Peter Palfrader <weasel@debian.org>  Sun, 31 Mar 2002 21:34:35 +0200

libclass-methodmaker-perl (1.02-2) unstable; urgency=low

  * Changed Section from libs to interpreters to match override file.

 -- Peter Palfrader <weasel@debian.org>  Mon,  7 May 2001 03:02:07 +0200

libclass-methodmaker-perl (1.02-1) unstable; urgency=low

  * New upstream version.
  * Changed maintainer email address.
  * Standards-Version: 3.5.4.
  * Removed dependency and build time dependency on perl5. The perl base
    should suffice.
  * Removed .packlist file.

 -- Peter Palfrader <weasel@debian.org>  Sun,  6 May 2001 17:48:19 +0200

libclass-methodmaker-perl (1.01-1) unstable; urgency=low

  * New upstream version

 -- Peter Palfrader <ppalfrad@cosy.sbg.ac.at>  Sun, 24 Sep 2000 00:52:52 +0200

libclass-methodmaker-perl (0.96-2) unstable; urgency=low

  * Changed Architecture to all (Closes: #71509)

 -- Peter Palfrader <ppalfrad@cosy.sbg.ac.at>  Wed, 13 Sep 2000 21:36:08 +0200

libclass-methodmaker-perl (0.96-1) unstable; urgency=low

  * Initial Release (closes: #69480).

 -- Peter Palfrader <ppalfrad@cosy.sbg.ac.at>  Sun, 20 Aug 2000 16:19:06 +0200
